Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • The next version of T::E won't be using Sub::Uplevel! It doesn't actually do what I need it to do in some instances anyway, so it's leaving.

    Your problem's mostly my fault for putting out in incorrect Build.PL in the first place - sorry.

    I suspect your other problem is caused by CPANPLUS ignoring build_requires (which I /think/ is still current behaviour - but there are certainly old CPANPLUS installs out there that are broken) - so it'll not be picking up the new Test::Exception requirement as a prerequisite to installation.

    Basically my advice would be to forget about build_requires and stick everything in requires. It should hopefully then work even with broken CPANPLUS versions.

    And as soon as I've got the tests passing with the new Test::Builder a T::E sans S::U will be on the streets.